3 Replies Latest reply on Jun 19, 2010 6:14 AM by meetshah4288

    still stuck

    GeorgeWS Level 1

      I have been trying to create a android app for weeks. As usual there are only a handfull of people trying this (Adobe stuff is always in beta, every day I dislike Adobe more and more). The setup for the Flash Builder 4 is so rediculous. I have downloaded the latest AIR 2.5 (AIR25_win_sdk_20100610) I unzipped and copied these files to my Flex sdk, pointed my app compiler to that file. Updated the environment variables. Used to command line to try and create my apk file. I get erros like "Descriptor file must be at least namespace 2.5". Well I open my xml descriptor file and it says 2.5 So now what?

      Are ther real instructions somewhere with ALL of the steps. I watched videos and read docs and they all leave stuff out. Every thing seems out of date. I still read on tons of docs that you can port to IPhone and I know thats not true- update the docs!

       

      pissed

        • 1. Re: still stuck
          meetshah4288 Level 2

          Hi George,

           

          Can you share you Applicatin.xml file ? And just a quick check for the adt version : Can you type adt -version and let me know the adt version you are using ? Also please specify the command you used for packaging the application.

           

          Thanks and Regards,

          Meet

          • 2. Re: still stuck
            GeorgeWS Level 1

            My version is: 2.0.0.15540

             

            My xml is:

             

            <?xml version="1.0" encoding="utf-8" standalone="no"?>
            <application xmlns="http://ns.adobe.com/air/application/2.5">

            <!-- Adobe AIR Application Descriptor File Template.

            Specifies parameters for identifying, installing, and launching AIR applications.

            xmlns - The Adobe AIR namespace: http://ns.adobe.com/air/application/2.5
               The last segment of the namespace specifies the version
               of the AIR runtime required for this application to run.
              
            minimumPatchLevel - The minimum patch level of the AIR runtime required to run
               the application. Optional.
            -->

            <!-- The application identifier string, unique to this application. Required. -->
            <id>YMCOMerchandiser</id>

            <!-- Used as the filename for the application. Required. -->
            <filename>YMCOMerchandiser</filename>
            <!-- The name that is displayed in the AIR application installer.
                  May have multiple values for each language. See samples or xsd schema file. Optional. -->
            <name>YMCOMerchandiser</name>

            <!-- An application version designator (such as "v1", "2.5", or "Alpha 1"). Required. -->
            <version>v1</version>

            <!-- Description, displayed in the AIR application installer.
                  May have multiple values for each language. See samples or xsd schema file. Optional. -->
            <!-- <description></description> -->

            <!-- Copyright information. Optional -->
            <!-- <copyright></copyright> -->

            <!-- Publisher ID. Used if you're updating an application created prior to 1.5.3 -->
            <!-- <publisherID></publisherID> -->

            <!-- Settings for the application's initial window. Required. -->
            <initialWindow>
              <!-- The main SWF or HTML file of the application. Required. -->
              <!-- Note: In Flash Builder, the SWF reference is set automatically. -->
              <content>[This value will be overwritten by Flash Builder in the output app.xml]</content>
             
              <!-- The title of the main window. Optional. -->
              <!-- <title></title> -->

              <!-- The type of system chrome to use (either "standard" or "none"). Optional. Default standard. -->
              <systemChrome>none</systemChrome>

              <!-- Whether the window is transparent. Only applicable when systemChrome is none. Optional. Default false. -->
              <!-- <transparent></transparent> -->

              <!-- Whether the window is initially visible. Optional. Default false. -->
              <visible>true</visible>

              <!-- Whether the user can minimize the window. Optional. Default true. -->
              <!-- <minimizable></minimizable> -->

              <!-- Whether the user can maximize the window. Optional. Default true. -->
              <!-- <maximizable></maximizable> -->

              <!-- Whether the user can resize the window. Optional. Default true. -->
              <!-- <resizable></resizable> -->

              <!-- The window's initial width. Optional. -->
              <!-- <width></width> -->

              <!-- The window's initial height. Optional. -->
              <!-- <height></height> -->

              <!-- The window's initial x position. Optional. -->
              <!-- <x></x> -->

              <!-- The window's initial y position. Optional. -->
              <!-- <y></y> -->

              <!-- The window's minimum size, specified as a width/height pair, such as "400 200". Optional. -->
              <!-- <minSize></minSize> -->

              <!-- The window's initial maximum size, specified as a width/height pair, such as "1600 1200". Optional. -->
              <!-- <maxSize></maxSize> -->
            </initialWindow>

            <!-- The subpath of the standard default installation location to use. Optional. -->
            <!-- <installFolder></installFolder> -->

            <!-- The subpath of the Programs menu to use. (Ignored on operating systems without a Programs menu.) Optional. -->
            <!-- <programMenuFolder></programMenuFolder> -->

            <!-- The icon the system uses for the application. For at least one resolution,
               specify the path to a PNG file included in the AIR package. Optional. -->
            <!-- <icon>
              <image16x16></image16x16>
              <image32x32></image32x32>
              <image48x48></image48x48>
              <image128x128></image128x128>
            </icon> -->

            <!-- Whether the application handles the update when a user double-clicks an update version
            of the AIR file (true), or the default AIR application installer handles the update (false).
            Optional. Default false. -->
            <!-- <customUpdateUI></customUpdateUI> -->

            <!-- Whether the application can be launched when the user clicks a link in a web browser.
            Optional. Default false. -->
            <!-- <allowBrowserInvocation></allowBrowserInvocation> -->

            <!-- Listing of file types for which the application can register. Optional. -->
            <!-- <fileTypes> -->

              <!-- Defines one file type. Optional. -->
              <!-- <fileType> -->

               <!-- The name that the system displays for the registered file type. Required. -->
               <!-- <name></name> -->

               <!-- The extension to register. Required. -->
               <!-- <extension></extension> -->
              
               <!-- The description of the file type. Optional. -->
               <!-- <description></description> -->
              
               <!-- The MIME content type. -->
               <!-- <contentType></contentType> -->
              
               <!-- The icon to display for the file type. Optional. -->
               <!-- <icon>
                <image16x16></image16x16>
                <image32x32></image32x32>
                <image48x48></image48x48>
                <image128x128></image128x128>
               </icon> -->
              
              <!-- </fileType> -->
            <!-- </fileTypes> -->

            </application>

             

            Thanks

            • 3. Re: still stuck
              meetshah4288 Level 2

              Hi George,

               

              From the adt version it seems that you are using 20100603 build's adt. Moreover in the application descriptor file there are a few versioning changes details of which you can find over here. Your app.xml does not contain these required changes.

               

              So can you overlay your AIR sdk again with that from the latest prerelease drop. Other things seem to be fine. This should work now !!

              Please let me know if it doesn't.

               

              Thanks and Regards,

              Meet